Bug 1063459 - bad dependencies and does not work with current xulrunner
Summary: bad dependencies and does not work with current xulrunner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chmsee
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Yijun Yuan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1109133
TreeView+ depends on / blocked
 
Reported: 2014-02-10 19:05 UTC by s.jakobeit
Modified: 2014-06-16 23:26 UTC (History)
4 users (show)

Fixed In Version: chmsee-2.0.2-10.git86d101c9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1109133 (view as bug list)
Environment:
Last Closed: 2014-02-11 04:32:49 UTC


Attachments (Terms of Use)

Description s.jakobeit 2014-02-10 19:05:33 UTC
Description of problem:
Chmsee needs xulrunner but it is not installed as dependency. The available xulrunner does not work with chmsee from the repository.

Version-Release number of selected component:
chmsee-2.0.2-5.git86d101c9.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
I installed chmsee but it does not start from the menu. In the terminal i see:
$ chmsee 
/usr/bin/chmsee: line 10: exec: xulrunner: not found

I installed xulrunner manually. After that:
$ chmsee 
(process:23592): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
Error: Platform version '27.0' is not compatible with
minVersion >= 22.0
maxVersion <= 26.*

Expected results:
Xulrunner is installed if chmsee is installed.
Chmsee works with the version of the xulrunner.

Comment 1 Yijun Yuan 2014-02-11 04:32:49 UTC
Thanks for the issue report! I am building a new one.

Comment 2 Fedora Update System 2014-02-19 04:18:11 UTC
chmsee-2.0.2-7.git86d101c9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/chmsee-2.0.2-7.git86d101c9.fc20

Comment 3 Fedora Update System 2014-02-19 04:18:21 UTC
chmsee-2.0.2-7.git86d101c9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/chmsee-2.0.2-7.git86d101c9.fc19

Comment 4 lnie 2014-02-19 06:07:41 UTC
Dependency for xulrunner is added to chmsee-2.0.2-7.git86d101c9.fc20

Comment 5 Fedora Update System 2014-02-22 00:33:36 UTC
chmsee-2.0.2-7.git86d101c9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-02-22 00:48:08 UTC
chmsee-2.0.2-7.git86d101c9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-06-14 00:18:17 UTC
chmsee-2.0.2-10.git86d101c9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/chmsee-2.0.2-10.git86d101c9.fc20

Comment 8 Fedora Update System 2014-06-16 23:26:21 UTC
chmsee-2.0.2-10.git86d101c9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.